Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AbleTraceDebugFormatter

    java.lang.Object
      com.ibm.logging.LogObject
          com.ibm.logging.Formatter
              com.ibm.able.AbleTraceDebugFormatter

All Implemented Interfaces:
  java.lang.Cloneable, com.ibm.logging.IConstants, com.ibm.logging.IFormatter, com.ibm.logging.ILogObject, com.ibm.logging.mgr.IManageable, java.io.Serializable

public class AbleTraceDebugFormatter
extends com.ibm.logging.Formatter

The AbleTraceDebugFormatter formats an `ILogRecord` for display without a timestamp. This formatter provides a layout more suitable for regression test trace data than that of the `Formatter`. The format is for each record to be displayed in three lines:

- class
- method
- record text

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.logging.Formatter
`DEFAULT_DATE_FORMAT, DEFAULT_SEPARATOR, DEFAULT_TIME_FORMAT, INDENT, lineSep`

Fields inherited from interface com.ibm.logging.IConstants
`KEY_BACKUP_CAPACITY, KEY_CLASS_NAME, KEY_CLIENT, KEY_COMPONENT, KEY_DATE_FORMAT, KEY_DEFAULT_MESSAGE_LOGGER, KEY_DEFAULT_TRACE_LOGGER, KEY_DESCRIPTION, KEY_ENCODING, KEY_FILE_NAME, KEY_FILTER_NAMES, KEY_FORMATTER_NAMES, KEY_GROUP, KEY_HANDLER_NAMES, KEY_HEX_DATA, KEY_IS_BACKUP_ENABLED, KEY_IS_CIRCULAR, KEY_IS_LOGGING, KEY_IS_SYNC, KEY_LOGGING_CLASS, KEY_LOGGING_METHOD, KEY_MASK, KEY_MAX_FILE_SIZE, KEY_MAX_FILES, KEY_MAX_MSG_CATS, KEY_MAX_RETRIES, KEY_MESSAGE_FILE, KEY_NAME, KEY_OBJECT_TYPE, KEY_ORGANIZATION, KEY_PARENT, KEY_PRODUCT, KEY_QUEUE_CAPACITY, KEY_RECORD_CLASSES, KEY_RETRY_INTERVAL, KEY_SEPARATOR, KEY_SERVER, KEY_SOCKET_PORT, KEY_SOCKET_SERVER, KEY_SUPPRESSED_KEYS, KEY_THREAD_ID, KEY_THROWABLE, KEY_THROWABLE_TRACE, KEY_TIME_FORMAT, LOG_VERSION, OBJ_TYPE_FILTER, OBJ_TYPE_FORMATTER, OBJ_TYPE_HANDLER, OBJ_TYPE_LOGGER, OBJ_TYPE_MESSAGE_LOGGER, OBJ_TYPE_TRACE_LOGGER, VALUE_LOCALIZED_DATE_TIME`

Constructor Summary
`AbleTraceDebugFormatter()` Creates an AbleTraceDebugFormatter.
`AbleTraceDebugFormatter(java.lang.String name)` Creates a named AbleTraceDebugFormatter.
`AbleTraceDebugFormatter(java.lang.String name, java.lang.String desc)` Creates a named AbleTraceDebugFormatter and provides a description.

Method Summary
`java.lang.String` | `format(com.ibm.logging.ILogRecord record)` Formats the trace record.

Methods inherited from class com.ibm.logging.Formatter
`bytesToHex, getConfig, getDate, getDateFormat, getLocale, getMaxMessageCatalogs, getMessage, getMessageCatalog, getSeparator, getText, getTime, getTimeFormat, init, setConfig, setDateFormat, setDateFormat, setDateFormat, setLocale, setMaxMessageCatalogs, setSeparator, setTimeFormat, setTimeFormat, setTimeFormat`

Methods inherited from class com.ibm.logging.LogObject
`addRecordClass, clone, getDescription, getGroup, getName, getRecordClasses, getType, isManaged, maskLongValue, maskToString, removeRecordClass, setDescription, setGroup, setManaged, setName, setType, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ibm.logging.ILogObject
`addRecordClass, getRecordClasses, maskLongValue, maskToString, removeRecordClass`

Methods inherited from interface com.ibm.logging.mgr.IManageable
`getDescription, getGroup, getName, getType, isManaged, setDescription, setGroup, setManaged, setName, setType`

Constructor Detail

### AbleTraceDebugFormatter

    public AbleTraceDebugFormatter()

  Creates an AbleTraceDebugFormatter.

### AbleTraceDebugFormatter

    public AbleTraceDebugFormatter(java.lang.String name)

  Creates a named AbleTraceDebugFormatter.

Parameters:
  `name` - The name of this object.

### AbleTraceDebugFormatter

    public AbleTraceDebugFormatter(java.lang.String name,
                                   java.lang.String desc)

  Creates a named AbleTraceDebugFormatter and provides a description.

Parameters:
  `name` - The name of this object.
  `desc` - The description of this object.

Method Detail

### format

    public java.lang.String format(com.ibm.logging.ILogRecord record)

  Formats the trace record.

  Parameters:
    `record` - The record to format.
  Returns:
    The formatted record.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005